/* $Id: CrowdUtils.groovy 43259 2008-09-04 22:37:25Z caulfield14 $ */

package org.codehaus.grails.plugins.crowd.util

import com.atlassian.crowd.integration.soap.SOAPEntity


/**
 * Utility class to retrieve information from Crowd SOAPEntities.
 */
class CrowdUtils {
    /**
     * Retrieve an attribute value from a SOAPEntity.
     * @param entity the SOAPEntity to query
     * @param attribute the SOAPAttribute to retrieve
     */
    static def getAttributeValues(SOAPEntity entity, String attribute) {
        def values= entity.getAttributes()?.toList()?.find(){it.name == attribute}?.getValues()?.toList()
        switch (values?.size()) {
        case 0: return null; break;
        case 1: return values[0]; break;
        default: return values
        }
    }
}