<html>
    <head>
        <meta name="layout" content="main"/>
        <title>Login</title>
    </head>
    <body>
        <div class="body">
            <h1>Login</h1>

            <g:hasErrors bean="${command}">
                <div class="errors">
                    <g:renderErrors bean="${command}" as="list"/>
                </div>
            </g:hasErrors>

            <g:form action="login" method="post">
                <div class="dialog">
                    <table>
                        <tr class='prop'>
                            <td class='name'>
                                Username:
                            </td>
                            <td class="value ${hasErrors(bean: command, field: 'username', 'errors')}">
                                <input type='text' name='username' class="login" value='${command?.username}'/>
                            </td>
                        </tr>
                        <tr class='prop'>
                            <td class='name'>
                                Password:
                            </td>
                            <td class="value ${hasErrors(bean: command, field: 'password', 'errors')}">
                                <input type="password" name='password' class="login" value='${command?.password}'/>
                            </td>
                        </tr>
                        <tr class='prop'>
                            <td colspan="3">
                                <div class="buttons">
                                    <input type="submit" value="Login"/>
                                </div>
                            </td>
                        </tr>
                    </table>
                </div>
            </g:form>
        </div>
    </body>
</html>