/* $Id: PropertyUtils.groovy 43259 2008-09-04 22:37:25Z caulfield14 $ */

package org.codehaus.grails.plugins.crowd.util;

import java.util.Properties;


/**
 * A <code>PropertyUtils</code> class that can take a <code>java.util.Properties</code> for configuration
 * (instead of a property file).
 * @see java.util.Properties
 * @see com.atlassian.crowd.integration.util.PropertyUtils
 */
class PropertyUtils extends com.atlassian.crowd.integration.util.PropertyUtils {
    private Properties properties

    public PropertyUtils(Properties properties) {
        this.properties= properties
    }

    @Override
    public Properties getProperties() {
        return properties
    }
}
